LS(1)

NUME
ls - listează conținutul unui director

SINOPSIS
ls [OPȚIUNE]... [FIȘIER]...

DESCRIERE

Listează informații despre FIȘIERE (directorul curent în mod implicit). Sortează intrările în ordine alfabetică dacă nu este specificată niciuna dintre opțiunile -cftuvSUX și nici opțiunea --sort.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-a, --all
    nu ignoră intrările care încep cu .

-A, --almost-all
    în mod implicit, nu listează . și ..

--author
    cu opțiunea -l, afișează autorul fiecărui fișier

-b, --escape
    afișează eludări în stil C pentru caractere negrafice

--block-size=DIMENSIUNE
    cu opțiunea -l, scalează dimensiunile după DIMENSIUNE la afișarea lor; de exemplu, „--block-size=M”; vedeți mai jos formatul DIMENSIUNE

-B, --ignore-backups
    nu listează intrările care se termină cu „~”

-c  cu -lt: sortează după ctime și afișează ctime (ora ultimei modificări a informațiilor despre starea fișierului); cu -l: afișează ctime și sortează după nume; altfel: sortează după ctime, mai întâi cel mai nou

-C  listează intrările pe coloane

--color[=CÂND]
    colorează ieșirea CÂND; găsiți mai multe informații, mai jos

-d, --directory
    listează directoarele în sine, nu conținutul lor

-D, --dired
    generează ieșirea în stilul modului „dired” de Emacs

-f  la fel ca -a -U

-F, --classify[=CÂND]
    adaugă indicator (unul dintre */=>@|) la intrări CÂND

--file-type
    la fel, cu excepția faptului că nu adaugă „*”

--format=CUVÂNT
    peste -x, virgule -m, orizontal -x, lungime -l, o singură coloană -1, detaliat -l, vertical -C

--full-time
    ca -l --time-style=full-iso

-g  ca -l, dar nu listează proprietarul

--group-directories-first
    grupează directoarele înaintea fișierelor

-G, --no-group
    într-o listă lungă, nu afișează numele grupurilor

-h, --human-readable
    cu opțiunile -l și -s, afișează dimensiunile ca: 1K 234M 2G etc.

--si
    la fel, dar utilizează puteri de 1000 nu de 1024

-H, --dereference-command-line
    urmărește legăturile simbolice listate în linia de comandă

--dereference-command-line-symlink-to-dir
    urmărește fiecare legătură simbolică din linia de comandă care indică către un director

--hide=MODEL
    nu listează intrările care se potrivesc cu MODEL (suprascrisă de opțiunea -a sau -A)

--hyperlink[=CÂND]
    nume de fișiere de hiperlegătură CÂND

--indicator-style=CUVÂNT
    adaugă un indicator cu stilul CUVÂNT la numele intrărilor: none ((niciunul), stilul implicit), bară oblică (-p), tip de fișier (--file-type), clasificare (-F)

-i, --inode
    afișează numărul de index al fiecărui fișier

-I, --ignore=MODEL
    nu listează intrările care se potrivesc cu MODEL

-k, --kibibytes
    implicit la blocuri de 1024 de octeți pentru utilizarea sistemului de fișiere; utilizată numai cu opțiunea -s și totalurile per director

-l  utilizează un format de listare lungă

-L, --dereference
    când afișează informații despre fișier pentru o legătură simbolică, afișează informații pentru fișierul la care se referă legătura, mai degrabă decât pentru legătura în sine

-m  umple lățimea cu o listă de intrări separate prin virgule

-n, --numeric-uid-gid
    ca -l, dar listează ID-urile numerice de utilizator și grup

-N, --literal
    afișează numele intrărilor fără ghilimele

-o  ca -l, dar nu listează informații despre grup

-p, --indicator-style=slash
    adaugă indicatorul „/” la directoare

-q, --hide-control-chars
    afișează „?” în loc de caractere negrafice

--show-control-chars
    afișează caracterele negrafice așa cum sunt (modul implicit, cu excepția cazului în care programul este «ls» și ieșirea este un terminal)

-Q, --quote-name
    închide numele intrărilor între ghilimele duble

--quoting-style=CUVÂNT
    utilizează stilul de ghilimele CUVÂNT pentru numele intrărilor: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (nu ține seama de variabila de mediu QUOTING_STYLE)

-r, --reverse
    sortează conținutul directoarelor în ordine inversă

-R, --recursive
    listează recursiv conținutul tuturor directoarelor

-s, --size
    afișează dimensiunea alocată fiecărui fișier, în blocuri

-S  sortează în funcție de dimensiunea fișierului, primul cel mai mare

--sort=CUVÂNT
    sortează după CUVÂNT, în loc de, după nume: none (niciunul -U), size (dimensiune -S), time (oră -t), version (-v), extension (-X), width (lăţime) modifică sortarea implicită „name” (nume) pentru CUVÂNT: none (niciunul -U), size (dimensiune -S), time (oră -t), version (-v), extension (-X), name, width (lăţime)

--time=CUVÂNT
    selectează marca temporală utilizată pentru afișare sau sortare; data și ora de acces (-u): atime, access, use; data și ora de modificare a metadatelor (-c): ctime, status; data și ora de modificare (implicit): mtime, modification; data și ora de creare: birth, creation;

    cu -l, CUVÂNT determină ce oră să se afișeze; cu --sort=time, sortează după CUVÂNT (cel mai nou primul)

--time-style=STIL_TIMP
    format oră/dată cu -l; vedeți STIL_TIMP mai jos

-t  sortează după oră/dată, mai întâi cel mai nou; vedeți --time

-T, --tabsize=COLOANE
    presupune că tabulatorul reprezintă COLOANE în loc de 8

-u  cu -lt: sortează după, și arată, ora de acces; cu -l: arată ora de acces și sortează după nume; în caz contrar: sortează după ora de acces, mai întâi cel mai nou

-U  nu sortează intrările din director

-v  sortare naturală de numere (de versiuni) din text

-w, --width=COLOANE
    stabilește lățimea de ieșire la COLOANE. 0 înseamnă fără limită

-x  listează intrările pe rânduri și nu pe coloane

-X  sortează în ordine alfabetică după extensia intrării

-Z, --context
    afișează orice context de securitate al fiecărui fișier

--zero
    termină fiecare linie afișată cu NUL, nu cu o nouă linie

-1  listează un fișier pe linie

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Argumentul DIMENSIUNE este compus dintr-un număr întreg și o unitate opțională (exemplu: 10K este 10*1024). Unitățile sunt K,M,G,T,P,E,Z,Y,R,Q (puteri de 1024) sau KB,MB,... (puteri de 1000). Prefixele binare pot fi folosite, de asemenea: KiB=K, MiB=M ș.a.m.d.

Argumentul STIL_TIMP poate fi: full-iso, long-iso, iso, locale, sau +FORMAT. FORMAT este interpretat ca în date(1). Dacă FORMAT este FORMAT1<linie_nouă>FORMAT2, atunci FORMAT1 se aplică fișierelor nerecente și FORMAT2 fișierelor recente. STIL_TIMP prefixat cu „posix-” are efect numai în afara localizării POSIX. De asemenea, variabila de mediu TIME_STYLE stabilește stilul implicit de utilizat.

Argumentul CÂND este implicit „always” (întotdeauna) și poate fi, de asemenea, „auto” sau „never” (niciodată).

Utilizarea culorii pentru a distinge tipurile de fișiere este dezactivată atât implicit, cât și cu opțiunea --color=never. Cu opțiunea --color=auto, «ls» emite coduri de culoare numai atunci când ieșirea standard este conectată la un terminal Variabila de mediu LS_COLORS poate modifica configurările. Utilizați comanda dircolors(1) pentru a o configura.

  Starea de ieșire:

0   dacă totul este OK,

1   dacă au apărut probleme minore (de exemplu, nu se poate accesa un subdirector),

2   dacă au apărut probleme grave (de exemplu, nu se poate accesa un argument din linia de comandă)

AUTOR
Scris de Richard M. Stallman și David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
dircolors(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/ls>
sau local rulând comanda: «info '(coreutils) ls invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.